Tamino apache module and Apache v1.3.22 and EAPI problems

There seems to be a possible problem when attempting to use Tamino (v2.2 and v2.3?) with Apache where it has been build with mod_ssl support or as ApacheSSL. In both these cases the usuall apache api is enhanced (and becomes the EAPI). When the tamino module is loaded a warning message is written to the error_log file saying that the module (tamino module in this case) has not been built against the EAPI and that it may fail.

And indeed it does fail (at least under Linux) with a segfault.

I am also hitting another problem whereby the thread processing a request to Tamino seems to hang. Now this may be specific to apache v1.3.22, I am still investigating this.

So has anyone got Tamino working with Apache and mod_ssl or ApacheSSL. Has anyone tried using Tamino with Apache v1.3.22?

What are your experiences.

Kind regards,

Simon

I am using the Tamino Starterkit I + II on a WinXP with Apache Version 1.3.22 but WITHOUT SSL.
This works fine!

Regards
Michael

I have the same problems. I use Apache+mod_ssl with Tamino 3.1.1.1! :frowning: :frowning: :frowning:

How to fix it?

Thanks for support!

Best Regards
Dariusz Baumann
POLAND

There is no Tamino module (ApacheModuleIno.s?) that has been built with EAPI. For Linux distributions it is recommended to the Apache that comes on the Tamino CD - even if this is used just for Tamino access.

For Windows XP - this is not yet a supported platform.

There is no Tamino module (ApacheModuleIno.s?) that has been built with EAPI.

Why it is not available?
Will it be available? When?
For which platform?

For Linux distributions it is recommended to the Apache that comes on the Tamino CD - even if this is used just for Tamino access.

For Windows XP - this is not yet a supported platform.

I have Windows 2000 Pro, so I think that it problem is difficult to be solved in future! :slight_smile:

Regards,
Dariusz Baumann
POLAND